Subject: Re: [patch]: CONFIG_IPV6_SUBTREES fix for MIPv6

From: "David S. Miller" <[email-masked]>
Date: Tue, 10 Jun 2003 09:51:35 -0700 (PDT)

From: Henrik Petander <[email-masked]>
   Date: Tue, 10 Jun 2003 18:25:18 +0300
   
   Then the policies for mipv6 would need to be specified at the same time 
   as the ipsec policies. This is not a problem as long as the policies are 
     loaded at start up. However, this could lead to problems with 
   applications which specify their own policies, e.g. racoon.

It is an important point.

Ask yourself this, why do we have tunnel devices and don't implement
them with cool routing or XFRM rules?  We don't do this because as
soon as you type "zebra" all your by-hand routes are gone, and as soon
as you type "racoon" al your by-hand xfrm rules are gone.

If you want to do these things using routes or xfrm rules, you must
integrate the creation of them into either zebra or racoon.  You
cannot have a setup where mipv6d and racoon/zebra fight each other
flushing each other's settings.  It doesn't work.